% cg = calculate_cg(k,h)
% Purpose:  Calculation of group velocity for a given wave
% ------------------------------------------------------------------------
% Variable   I/O        Description
% ------------------------------------------------------------------------
% k         I       Wave number
% h         I       Water depth
% cg        O       Group velocity
% ------------------------------------------------------------------------
% January 2016
% Overn, Ida Haftun 
% Waage, Ida Fredsvik
% ------------------------------------------------------------------------

function cg = calculate_cg(k,h)

g = 9.81;

cg1 = g*tanh(k*h);
cg2 = g*h*k.*sech(k*h).^2;
cg3 = 2*sqrt(g*k.*tanh(k*h));

cg = (cg1 + cg2)./cg3;

end