% k = kiteration(w,h)
% Purpose:  Iteration of the wavenumber k for finite water depth.
% ------------------------------------------------------------------------
% Variable   I/O        Description
% ------------------------------------------------------------------------
% k         I       Wave number
% w         I       Wave frequency
% h         I       Water depth
% ------------------------------------------------------------------------
% January 2016
% Overn, Ida Haftun 
% Waage, Ida Fredsvik
% ------------------------------------------------------------------------

function k = kiteration(w,h)

k = 0.1*ones(1,length(w));

while 1 
    expression = w.^2./(9.81*tanh(k*h));
    if k < expression + 0.000001 & k >= expression - 0.000001
        break
    else
        k = expression;
    end
end

end