% [Hs, Tp, dirp] = inputfile()
% Purpose:  Function that reads hs and tp-values from the hincastdata 
%           and assign them array names. 
% ------------------------------------------------------------------------
% Variable   I/O       Description
% ------------------------------------------------------------------------
% hs          O        Hs-values from file
% tp          O        Tp-values from file
% dirp        O        Mean direction of different sea states
% ------------------------------------------------------------------------
% January 2016
% Overn, Ida Haftun 
% Waage, Ida Fredsvik
% ------------------------------------------------------------------------

function [Hs, Tp, dirp] = inputfile()

list = importdata('NS_south.txt');

Hs = list(:,7);                     
Tp = list(:,8);
dirp = list(:,11);

end
