% MAIN PROGRAM FOR ESTABLISHING METOCEAN CONTOUR LINES %

[Hs, Tp_initial, dir] = inputfile();

Tp = tp_kor(Tp_initial);

[N_Hs, N_Tp, S_Hs, S_Tp, E_Hs, E_Tp, W_Hs, W_Tp] = direction(dir, Hs, Tp);

N_scatter = scatterdiagram(N_Hs, N_Tp);
S_scatter = scatterdiagram(S_Hs, S_Tp);
E_scatter = scatterdiagram(E_Hs, E_Tp);
W_scatter = scatterdiagram(W_Hs, W_Tp);
tot_scatter = scatterdiagram(Hs, Tp);

N_n = 1010;
S_n = 551;
W_n = 780;
tot_n = 2920;

[N_hsq, N_tpq] = qprob(N_Hs, N_scatter,N_n);
[S_hsq, S_tpq] = qprob(S_Hs, S_scatter,S_n);
[W_hsq, W_tpq] = qprob(W_Hs, W_scatter,W_n);
[tot_hsq, tot_tpq] = qprob(Hs, tot_scatter,tot_n);

[N_h, N_t] = contour(N_scatter, N_Hs, N_Tp, N_n);
[S_h, S_t] = contour(S_scatter, S_Hs, S_Tp, S_n);
[W_h, W_t] = contour(W_scatter, W_Hs, W_Tp, W_n);
[tot_h, tot_t] = contour(tot_scatter, Hs, Tp, tot_n);

