function [fitresult, gof] = my_fit(h_plot, my_lntp)
%CREATEFIT(H_PLOT,MY_LNTP)
%  Create a fit.
%
%  Data for 'N_my_fit' fit:
%      X Input : h_plot
%      Y Output: my_lntp
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 19-Jan-2016 14:39:35


%% Fit: 'N_my_fit'.
[xData, yData] = prepareCurveData( h_plot, my_lntp );

% Set up fittype and options.
ft = fittype( 'a+b*x^c', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [0.0162996401491524 0.238828597150472 0.802499062930076];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

%  % Plot fit with data.
%  figure( 'Name', 'N_my_fit' );
%  h = plot( fitresult, xData, yData );
%  legend( h,'\fontsize{14}Datapoints','\fontsize{14}Fitted Line for E[ln(T_P)]','Location', 'NorthEast' );
% % % Label axes%
% title('\fontsize{18}Expected Value of ln(T_P), Total Sea')
% xlabel \fontsize{14}H_S
%  ylabel \fontsize{14}E[ln(T_P)]
%  grid on


