% scatter = scatterdiagram(Hs, Tp)
% Purpose:  Reading in Hs and Tp-values and allocates them into a
%           scatterdiagram divided into intervals of 1 [s] and 0.5 [m].
% ------------------------------------------------------------------------
% Variable          I/O      Description
% ------------------------------------------------------------------------
% scatter           O        Scatterdiagram
% Hs                I        Hs-values from hindcasting
% Tp                I        Tp-values from hindcasting
% ------------------------------------------------------------------------
% January 2016
% Overn, Ida Haftun 
% Waage, Ida Fredsvik
% ------------------------------------------------------------------------

function scatter = scatterdiagram(Hs, Tp)

hmax = ceil(max(Hs));
tmax = ceil(max(Tp));

scatter = zeros(hmax*2,tmax);

for i = 0:2*hmax-1
    for j = 1:length(Hs)
        if Hs(j) < i/2 + 0.25 && Hs(j) >= i/2 - 0.25 
            k = round(Tp(j));
            scatter(i+1,k) = scatter(i+1,k) + 1;
            Hs(j) = 0;
        end
    end
end

end