function [fitresult, gof] = std_fit(h_plot, std_lntp)
%CREATEFIT(H_PLOT,STD_LNTP)
%  Create a fit.
%
%  Data for 'N_my_fit' fit:
%      X Input : h_plot
%      Y Output: std_lntp
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 19-Jan-2016 15:02:19


%% Fit: 'N_my_fit'.
[xData, yData] = prepareCurveData( h_plot, std_lntp );

% Set up fittype and options.
ft = fittype( 'a+b*exp(-c*x)', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [0.280936758511136 0.449374168612816 0.105425513250932];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% % Plot fit with data.
% figure( 'Name', 'N_my_fit' );
% h = plot( fitresult, xData, yData );
% legend( h, '\fontsize{14}Datapoints','\fontsize{14}Fitted Line for STD[ln(T_P)]','Location', 'NorthEast' );
% % Label axes
% title('\fontsize{18}Standard Deviation of ln(T_P), Total Sea')
% xlabel \fontsize{14}H_S
% ylabel \fontsize{14}STD[ln(T_P)]
% grid on


