% Tp = tp_kor(Tp_initial)
% Purpose:  Calculating the corrected Tp-values 
% ------------------------------------------------------------------------
% Variable          I/O      Description
% ------------------------------------------------------------------------
% Tp_initial        I        Tp-values from hindcasting 
% Tp                O        Corrected Tp-values 
% ------------------------------------------------------------------------
% January 2016
% Overn, Ida Haftun 
% Waage, Ida Fredsvik
% ------------------------------------------------------------------------

function Tp = tp_kor(Tp_initial)

Tp = zeros(length(Tp_initial),1);     

for j = 1:length(Tp_initial)                 
    i = round(1 + (log(Tp_initial(j)/3.244)/0.09525));     
    Tp(j) = 3.244*exp(0.09525*(i-0.5-rand)); 
end

end